Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.singularsys.jep.configurableparser.tokens
Class NumberToken

    java.lang.Object
      com.singularsys.jep.configurableparser.tokens.Token
          com.singularsys.jep.configurableparser.tokens.NumberToken

All Implemented Interfaces:
  java.io.Serializable

    public class NumberToken

extends Token

Represent numbers.

Author:
  Richard Morris
See Also:
  Serialized Form

Constructor Summary
`NumberToken(java.lang.String source, java.lang.Object value)` Construct a number token.

Method Summary
`java.lang.Object` | `getValue()` Gets the value of the object.
`boolean` | `isImplicitMulRhs()` Whether numbers can appear on the rhs of implicit multiplication 'x 2'.
`boolean` | `isNumber()`

Methods inherited from class com.singularsys.jep.configurableparser.tokens.Token
`equals, getColumnNumber, getLength, getLineNumber, getSource, hashCode, isBinary, isComment, isFunction, isIdentifier, isOperator, isPrefix, isString, isSuffix, isSymbol, isTerminal, isTernary, isWhiteSpace, setPosition, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NumberToken

    public NumberToken(java.lang.String source,
                       java.lang.Object value)
                throws ParseException

  Construct a number token.

  Parameters:
    `source` - text of the input matched
    `value` - value of the object
  Throws:
    `ParseException`

Method Detail

### getValue

    public java.lang.Object getValue()

  Gets the value of the object.

  Returns:
    A Double or other object containing the value.

### isNumber

    public boolean isNumber()

  Overrides:
    `isNumber` in class `Token`

### isImplicitMulRhs

    public boolean isImplicitMulRhs()

  Whether numbers can appear on the rhs of implicit multiplication 'x 2'.

  Overrides:
    `isImplicitMulRhs` in class `Token`
  Returns:
    true

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Singular Systems http://www.singularsys.com/jep